%bcond_with tests

Summary:        Simplified packaging of Python modules
Name:           python-flit
Version:        3.9.0
Release:        1%{?dist}
License:        BSD-3-Clause AND Apache-2.0 AND PSF-2.0
URL:            https://flit.pypa.io/en/latest/
Source0:        https://github.com/takluyver/flit/archive/%{version}/flit-%{version}.tar.gz
Source1:        https://pypi.org/pypi?%3Aaction=list_classifiers#/classifiers.lst

BuildArch:      noarch
BuildRequires:	python3-devel python3-pip
	
%if %{with tests}
BuildRequires:  python3-pytest python3-responses git-core
# Condition not met
BuildRequires:  python3-testpath python3-requests-download
%endif

%description
Flit is a simple way to put Python packages and modules on PyPI.

Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.

Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.

%package -n python3-flit
Summary:	Simplified packaging of Python modules
Requires:	python3-flit-core = %{version}-%{release}
Provides:	bundled(python3dist(tornado))


%description -n python3-flit
Flit is a simple way to put Python packages and modules on PyPI.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.


%package -n python3-flit-core
Summary:	PEP 517 build backend for packages using Flit

%description -n python3-flit-core
This provides a PEP 517 build backend for packages using Flit.
The only public interface is the API specified by PEP 517,
at flit_core.buildapi.


%prep
%autosetup -n flit-%{version}



%build
# first, build flit_core, then use it building flit.
cd flit_core
%pyproject_wheel
cd ..

export PYTHONPATH=$PWD:$PWD/flit_core
%pyproject_wheel


%install
%pyproject_install


%check
%if %{with tests}
mkdir -p fake_cache/flit
cp %{SOURCE1} fake_cache/flit
export XDG_CACHE_HOME=$PWD/fake_cache
%pytest
%endif


%files -n python3-flit
%license LICENSE
%doc README.rst
%{python3_sitelib}/flit-*.dist-info/
%{python3_sitelib}/flit/
%{_bindir}/flit

%files -n python3-flit-core
%license LICENSE
%doc flit_core/README.rst
%{python3_sitelib}/flit_core-*.dist-info/
%{python3_sitelib}/flit_core/



%changelog
* Mon Sep 25 2023 rockerzhu <rockerzhu@tencent.com> - 3.9.0-1
- Upgrade to 3.9.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 26 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.7.1-1
- initial building.
